#ifndef _FILE_SERVICES_H
#define _FILE_SERVICES_H

#include <stdbool.h>

#define MAX_PATH 1024

int init_fs();
int create_dir(char *path);
int delete_dir(char *path);
int delete_file(char *filename);
char *get_curr_dir(char *buf, int size);
int set_curr_dir(char *path);
char *path_add_slash(char *path);
bool path_append(char *path, char *more);
void sort_files();
bool compare_swap_files(int pos);
void sort_dirs();
bool compare_swap_dirs(int pos);
int index_dir_entries(char *dir_path);
void print_dir_entries();

#endif /* _FILE_SERVICES_H */